Bug 169844 - 'hub 1-0:1.0: connect-debounce failed, port 3 disabled' ad infinitum.
'hub 1-0:1.0: connect-debounce failed, port 3 disabled' ad infinitum.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 09:00 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-10-04 09:00:52 EDT
My machine (AMD-768 dual Athlon) seems to be saying this repeatedly:

hub 1-0:1.0: connect-debounce failed, port 3 disabled
hub 1-0:1.0: connect-debounce failed, port 4 disabled

With 2.6.12-1.1456_FC4smp it seems to be relatively harmless, but
2.6.13-1.1526_FC4smp doesn't finish booting. The hid2hci tool gets stuck (as
does anything else using libusb, including lsusb):

 hid2hci       D 00000003  2400  2630   2623                     (NOTLB)
 c1a23ed4 00000086 001136d5 00000003 f7ee6334 00000000 c017a1a0 870e7341
        00000021 00000000 c1a23000 c0171f66 0000035e c1ab6148 c1ab6020 c036bc00
        c1807160 870f5507 00000021 c1a23000 00000000 0000001c c1a23000 bfd2388a
 Call Trace:
  [<c017a1a0>] dput+0x126/0x258
  [<c0171f66>] link_path_walk+0x53/0xe0
  [<c01636f6>] get_unused_fd+0xa1/0xc3
  [<c0315e60>] __down+0xec/0x12b
  [<c011d046>] default_wake_function+0x0/0xc
  [<c0315fdf>] __down_failed+0x7/0xc
  [<c0283825>] .text.lock.usb+0x16/0xc1
  [<c028e749>] usbdev_ioctl+0x32/0x768
  [<c0163467>] filp_open+0x40/0x46
  [<c0175914>] do_ioctl+0x64/0x6d
  [<c0175b1e>] vfs_ioctl+0xfd/0x1d0
  [<c016376f>] fd_install+0x21/0x46
  [<c0175c4e>] sys_ioctl+0x5d/0x6b
  [<c010395d>] syscall_call+0x7/0xb

Ports 3 and 4 are the internal ports. The header on the motherboard isn't
connected to anything. If I disconnect ports 1 and 2 which are the external
ports, I see similar complaints about debouncing those, too.
Comment 1 Dave Jones 2005-11-10 14:03:22 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Dave Jones 2006-02-03 00:11:16 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-04 08:50:10 EDT
Closing per previous comment.
Comment 4 David Woodhouse 2006-05-04 09:04:56 EDT
It still persists, but it's probably broken hardware. I no longer use USB on the
offending box, and just blacklist the ohci_hcd module. 

Note You need to log in before you can comment on or make changes to this bug.